import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, l = (c, t, s, p) => {
  for (var e = p > 1 ? void 0 : p ? u(t, s) : t, i = c.length - 1, o; i >= 0; i--)
    (o = c[i]) && (e = (p ? o(t, s, e) : o(e)) || e);
  return p && e && m(t, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--faceHappyFilled", this.class = "c-pieIcon c-pieIcon--faceHappyFilled", this.name = "IconFaceHappyFilled";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--faceHappyFilled"><path d="M12.792 3.208A6.79 6.79 0 0 0 8 1.218 6.781 6.781 0 1 0 14.781 8a6.79 6.79 0 0 0-1.989-4.792ZM10.25 6a.75.75 0 1 1 0 1.5.75.75 0 0 1 0-1.5Zm-4.5 0a.75.75 0 1 1 0 1.5.75.75 0 0 1 0-1.5Zm4.245 4.7A3.168 3.168 0 0 1 5 9h1.374A1.847 1.847 0 0 0 9.75 9h1.374a3.167 3.167 0 0 1-1.13 1.7Z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  h("icon-face-happy-filled")
], r);
export {
  r as IconFaceHappyFilled
};
